package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumPosEnableType {

    // 0:禁用 1:可用

    Disable(0, "禁用"),
    Enable(1, "可用")
    ;

    public static EnumPosEnableType getEnum(Integer code) {
        for (EnumPosEnableType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumPosEnableType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
